// pages/checkAddress/handleAddCheck.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    addressList: [
      {
        address: '河南省信阳市固始县赵刚乡新堰村西寨组新堰村西寨组新堰村西寨组新堰村西寨组'
      },
      {
        address: '上海市上海市嘉定区'
      }
    ],
    dialogshow: false,
    formPage: '',
    formback:0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options);
    this.setData({
      formPage: options.form,
      formback: options.back
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 编辑地址
   */
  handleEdit(e) {
    var value = e.currentTarget.dataset.address
    console.log(value);
  },

  /**
   * 点击地址Item 我的地址进入不做处理 预约页面进入返回预约页面
   */
  handleAddressChose (e) {
    if (this.data.formback == '1') {
      app.globalData.navigateBackParams.address = e.currentTarget.dataset.address
      wx.navigateBack()
    }
  },

  /**
   * 用户点击删除地址按钮
   */
  handleDelAddres(e) {
    // var delId = e.currentTarget.dataset.id
    this.setData({
      dialogshow: true
    })
  },
  handleConfirm () {},
  handleCancel () {
    this.setData({
      dialogshow: false
    })
  },

  /**
   * 用户点击 新增地址
   */
  handleAddressAdd() {
    wx.navigateTo({
      url: '/pages/addressAdd/addressAdd?form=address',
    })
  }
})